<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SubjectSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $subjects = [...self::getSubjectsFirstCourse(), ...self::getSubjectsSecondCourse()];

        foreach ($subjects as $subject) {
            \App\Models\Subject::firstOrCreate($subject);
        }
    }

    private static function getSubjectsFirstCourse(): array
    {
        return [
            [
                'name' => 'Formación y orientación laboral',
                'course_year' => 1,
            ],
            [
                'name' => 'Fundamentos de hardware',
                'course_year' => 1,
            ],
            [
                'name' => 'Gestión de bases de datos',
                'course_year' => 1,
            ],
            [
                'name' => 'Implantación de sistemas operativos',
                'course_year' => 1,
            ],
            [
                'name' => 'Lenguajes de marcas y sistemas de gestión de información',
                'course_year' => 1,
            ],
            [
                'name' => 'Planificación y administración de redes',
                'course_year' => 1,
            ],
        ];
    }

    private static function getSubjectsSecondCourse(): array
    {
        return [
            [
                'name' => 'Administración de sistemas gestores de bases de datos',
                'course_year' => 2,
            ],
            [
                'name' => 'Administración de sistemas operativos',
                'course_year' => 2,
            ],
            [
                'name' => 'Empresa e iniciativa emprendedora',
                'course_year' => 2,
            ],
            [
                'name' => 'Implantación de aplicaciones web ',
                'course_year' => 2,
            ],
            [
                'name' => 'Inglés técnico para grado superior',
                'course_year' => 2,
            ],
            [
                'name' => 'Seguridad y alta disponibilidad',
                'course_year' => 2,
            ],
            [
                'name' => 'Servicios de red e internet',
                'course_year' => 2,
            ],
            [
                'name' => 'Proyecto de administración de sistemas informáticos en red',
                'course_year' => 2,
            ],
            [
                'name' => 'FORMACIÓN EN CENTROS DE TRABAJO ',
                'course_year' => 2,
            ],
        ];
    }
}
