<?php

namespace Database\Seeders;

use App\Models\Subject;
use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class UserSubjectSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $users = User::all();
        $subjects = Subject::all();

        foreach ($users as $user) {
            foreach ($subjects as $subject) {
                $user->subjects()->attach($subject->id, [
                    'score' => fake()->randomFloat(2, 4, 10),
                ]);
            }
        }
    }
}
