<?php

use App\Exceptions\SubjectNotFoundApiException;
use App\Exceptions\UserNotFoundApiException;
use App\Http\Controllers\Api\SubjectApiController;
use App\Http\Controllers\Api\UserApiController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

// Users
Route::get('/users', [UserApiController::class, 'index'])->name('users.index');

Route::get('/users/{user}', [UserApiController::class, 'show'])
    ->name('subjects.show')
    ->missing(fn () => throw new UserNotFoundApiException());

Route::get('/users/{user}/scores', [UserApiController::class, 'showWithScores'])
    ->name('subjects.show-with-scores')
    ->missing(fn () => throw new UserNotFoundApiException());

// Subjects
Route::get('/subjects', [SubjectApiController::class, 'index'])->name('subjects.index');

Route::get('/subjects/{subject}', [SubjectApiController::class, 'show'])
    ->name('subjects.show')
    ->missing(fn () => throw new SubjectNotFoundApiException());

Route::get('/subjects/{subject}/score-average', [SubjectApiController::class, 'showWithScoreAverage'])
    ->name('subjects.show-with-score-average')
    ->missing(fn () => throw new SubjectNotFoundApiException());
